var store = require('../index.js');

jasmine.DEFAULT_TIMEOUT_INTERVAL = 10000;

describe("store", function () {
  var items;

  describe("search", function () {

    beforeEach(function (done) {
      var search = store.search("XXYYXX", {
        onError: function (error) {
          console.error(error, error.stack);
        },
        onDone: function () {
          items = arguments[0];
          done();
        }
      });
      // debugging
      search.onItemReject = function (item, errors) {
        console.error(item, errors);
        // TODO maybe throw an Error?
      };
    });

    it("has some items", function () {
      expect(Array.isArray(items)).toBe(true);
      expect(items.length).toBeGreaterThan(0);
    });

  });

});
